# Uses of Enum Class
com.ocient.auth.OpenIDAuthenticators.OAuthFlow

Packages that use OpenIDAuthenticators.OAuthFlow
Package
Description
com.ocient.auth
com.ocient.jdbc

## Uses of OpenIDAuthenticators.OAuthFlow in com.ocient.auth

Methods in com.ocient.auth that return OpenIDAuthenticators.OAuthFlow
Modifier and Type
Method
Description
`static OpenIDAuthenticators.OAuthFlow`
OpenIDAuthenticators.OAuthFlow.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OpenIDAuthenticators.OAuthFlow[]`
OpenIDAuthenticators.OAuthFlow.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of OpenIDAuthenticators.OAuthFlow in com.ocient.jdbc

Methods in com.ocient.jdbc that return OpenIDAuthenticators.OAuthFlow
Modifier and Type
Method
Description
`static OpenIDAuthenticators.OAuthFlow`
XGConnection.`getDefaultOAuthFlow()`
Methods in com.ocient.jdbc that return types with arguments of type OpenIDAuthenticators.OAuthFlow
Modifier and Type
Method
Description
`Optional<OpenIDAuthenticators.OAuthFlow>`
XGConnection.ConnectionProperty.`getOAuthFlow(Properties properties)`